Bug 230798 - Review Request: perl-Test-Simple - A basic Perl testing framework for creating tests to be run either standalone or under Test::Harness.
Review Request: perl-Test-Simple - A basic Perl testing framework for creatin...
Status: CLOSED DUPLICATE of bug 574267
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Package Reviews List
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-03-02 17:45 EST by Madhavprasad Pai
Modified: 2010-03-16 22:05 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-03-05 05:06:56 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Madhavprasad Pai 2007-03-02 17:45:13 EST
Spec URL: http://people.redhat.com/mkpai/.SPEC/perl-Test-Simple.spec
SRPM URL: http://people.redhat.com/mkpai/.SRPM/perl-Test-Simple-0.67-1.src.rpm
Description:  This is a basic Perl testing framework for creating tests to be run either standalone or under Test::Harness.
Comment 1 Madhavprasad Pai 2007-03-02 18:15:40 EST
This is my first package. I need a sponsor. I have also submitted another Perl
package at https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=230802 .
Comment 2 Ralf Corsepius 2007-03-03 02:35:07 EST
So far perl(Test::Simple) had been part of the main perl package.

Has something changed about this situation?
Comment 3 Tom "spot" Callaway 2007-03-03 03:20:56 EST
Nope, its still in the main perl package:

/usr/lib/perl5/5.8.8/Test/Simple.pm

If there is a compelling reason to separate it out, I suppose we could... but
I'm not sure there is one. I'd almost rather patch the Test::Simple in core up
to current.
Comment 4 Ralf Corsepius 2007-03-03 07:10:42 EST
Any split out perl-module split-out from the main perl package is "good",
because this allows updating the module independently.

Test::Simple being shipped as part of the main perl package (and it not having
been upgraded), in the past had been a problem to upgrading other perl modules.

I am not sure if Test::Simple can be split-out from main, though. I think it is
possible.

Comment 5 Madhavprasad Pai 2007-03-05 02:10:33 EST
Thanks for reviewing my request on a weekend :)

I want to contribute the GeniusTrader application to Fedora Extras. This
application needed me to update my Test::Simple. That is why, I thought it wiser
to add this as a separate module to Fedora Extras.

I am not sure it needs to be split from Perl main. But I think it might be wiser
to let some people upgrade to this version if they need to - an option.

I am willing to take responsibility of updating the versions.
Comment 6 Ralf Corsepius 2007-03-05 02:27:09 EST
> Thanks for reviewing my request on a weekend :)
That's the difference between paid workers and volunteers. The latter primarily
work on Fedora on weekends ;)

> This application needed me to update my Test::Simple.
I don't fully understand - What is your problem?

Does your GeniusTrader-spec fail to detect Test::Simple or does it claim to
require a newer version as that shipped with the main perl package?

Does GeniusTrader requires Test::Simple at build-time or at run-time?

Depending on these details there would be several approaches.
Comment 7 Madhavprasad Pai 2007-03-05 03:26:33 EST
The GeniusTrader application is not available in rpm format yet. At the moment,
it is a set of Perl scripts that needs some Perl modules in order to work. The
upstream maintainers do not want to spend time on packaging it. They prefer to
install individual components separately. They have no objections to others
packaging it.

I will, in due course, want to package these other modules for Fedora as well.
In fact, I think packaging GT for Fedora will be sensible only if all other
requirements are in Fedora.

The Test::Simple is needed at build time. The Test::Simple is detected but the
upgrade is suggested at install time. I did not experiment to see if the upgrade
was mandatory.
Comment 8 Ralf Corsepius 2007-03-05 04:39:33 EST
> The Test::Simple is needed at build time.
OK.

> The Test::Simple is detected but the
> upgrade is suggested at install time.
Then something probably is broken with GeniusTrader. Using "Test::Simple" at
run-time normally doesn't make any sense, nor does "suggesting to upgrade" at
install-time.

I'd suggest you to submit a GeniusTrader-rpm for review, so we can look into the
details and suggest to close this Request until then.
Comment 9 Madhavprasad Pai 2007-03-05 05:05:52 EST
Thanks. I'm closing this request until I sort out the GT spec.
Comment 10 Chris Weyl 2010-03-16 22:05:56 EDT

*** This bug has been marked as a duplicate of bug 574267 ***

Note You need to log in before you can comment on or make changes to this bug.